gi-gdk-3.0.29: Gdk bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gdk.Structs.EventFocus

Contents

- Exported types
- Methods
- Properties
  - in
  - sendEvent
  - type
  - window

Description

Describes a change of keyboard focus.

Synopsis

- newtype EventFocus = EventFocus (ManagedPtr EventFocus)
- newZeroEventFocus :: MonadIO m => m EventFocus
- getEventFocusIn :: MonadIO m => EventFocus -> m Int16
- setEventFocusIn :: MonadIO m => EventFocus -> Int16 -> m ()
- getEventFocusSendEvent :: MonadIO m => EventFocus -> m Int8
- setEventFocusSendEvent :: MonadIO m => EventFocus -> Int8 -> m ()
- getEventFocusType :: MonadIO m => EventFocus -> m EventType
- setEventFocusType :: MonadIO m => EventFocus -> EventType -> m ()
- clearEventFocusWindow :: MonadIO m => EventFocus -> m ()
- getEventFocusWindow :: MonadIO m => EventFocus -> m (Maybe Window)
- setEventFocusWindow :: MonadIO m => EventFocus -> Ptr Window -> m ()

# Exported types

newtype EventFocus Source #

Memory-managed wrapper type.

Constructors

EventFocus (ManagedPtr EventFocus) |

#### Instances

Instances details

Eq EventFocus Source # |
Instance details Defined in GI.Gdk.Structs.EventFocus Methods (==) :: EventFocus -> EventFocus -> Bool Source # (/=) :: EventFocus -> EventFocus -> Bool Source #
BoxedPtr EventFocus Source # |
Instance details Defined in GI.Gdk.Structs.EventFocus Methods boxedPtrCopy :: EventFocus -> IO EventFocus Source # boxedPtrFree :: EventFocus -> IO () Source #
CallocPtr EventFocus Source # |
Instance details Defined in GI.Gdk.Structs.EventFocus Methods boxedPtrCalloc :: IO (Ptr EventFocus) Source #
ManagedPtrNewtype EventFocus Source # |
Instance details Defined in GI.Gdk.Structs.EventFocus Methods toManagedPtr :: EventFocus -> ManagedPtr EventFocus Source #
tag ~ 'AttrSet => Constructible EventFocus tag Source # |
Instance details Defined in GI.Gdk.Structs.EventFocus Methods new :: MonadIO m => (ManagedPtr EventFocus -> EventFocus) -> [AttrOp EventFocus tag] -> m EventFocus Source #

newZeroEventFocus :: MonadIO m => m EventFocus Source #

Construct a `EventFocus` struct initialized to zero.

# Methods

# Properties

## in

`True` if the window has gained the keyboard focus, `False` if it has lost the focus.

getEventFocusIn :: MonadIO m => EventFocus -> m Int16 Source #

Get the value of the “`in`” field. When overloading is enabled, this is equivalent to

    get eventFocus #in

setEventFocusIn :: MonadIO m => EventFocus -> Int16 -> m () Source #

Set the value of the “`in`” field. When overloading is enabled, this is equivalent to

    set eventFocus [ #in := value ]

## sendEvent

`True` if the event was sent explicitly.

getEventFocusSendEvent :: MonadIO m => EventFocus -> m Int8 Source #

Get the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    get eventFocus #sendEvent

setEventFocusSendEvent :: MonadIO m => EventFocus -> Int8 -> m () Source #

Set the value of the “`send_event`” field. When overloading is enabled, this is equivalent to

    set eventFocus [ #sendEvent := value ]

## type

the type of the event (`EventTypeFocusChange`).

getEventFocusType :: MonadIO m => EventFocus -> m EventType Source #

Get the value of the “`type`” field. When overloading is enabled, this is equivalent to

    get eventFocus #type

setEventFocusType :: MonadIO m => EventFocus -> EventType -> m () Source #

Set the value of the “`type`” field. When overloading is enabled, this is equivalent to

    set eventFocus [ #type := value ]

## window

the window which received the event.

clearEventFocusWindow :: MonadIO m => EventFocus -> m () Source #

Set the value of the “`window`” field to `Nothing`. When overloading is enabled, this is equivalent to

    clear #window

getEventFocusWindow :: MonadIO m => EventFocus -> m (Maybe Window) Source #

Get the value of the “`window`” field. When overloading is enabled, this is equivalent to

    get eventFocus #window

setEventFocusWindow :: MonadIO m => EventFocus -> Ptr Window -> m () Source #

Set the value of the “`window`” field. When overloading is enabled, this is equivalent to

    set eventFocus [ #window := value ]